## libcec 3.0.1+dfsg2

=== CMakeLists.txt ===
project(libcec)
cmake_minimum_required(VERSION 2.8.9)

set(LIBCEC_VERSION_MAJOR 3)
set(LIBCEC_VERSION_MINOR 0)
set(LIBCEC_VERSION_PATCH 1)

# cec-client
add_subdirectory(src/cec-client)
add_dependencies(cec-client cec)

# cecc-client
add_subdirectory(src/cecc-client)
add_dependencies(cecc-client cec)

# pyCecClient
add_subdirectory(src/pyCecClient)

# libCEC
add_subdirectory(src/libcec)

# version number
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/version.h.in
               ${CMAKE_CURRENT_SOURCE_DIR}/include/version.h)

# resource files for windows
if(WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/project/LibCecSharp/LibCecSharp.rc.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/project/LibCecSharp/LibCecSharp.rc)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/CecSharpTester/Properties/AssemblyInfo.cs.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/CecSharpTester/Properties/AssemblyInfo.cs)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecSharp/AssemblyInfo.cpp.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecSharp/AssemblyInfo.cpp)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecTray/Properties/AssemblyInfo.cs.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecTray/Properties/AssemblyInfo.cs)
endif()

=== src/cec-client/CMakeLists.txt ===
project(cecclient)
cmake_minimum_required(VERSION 2.8.9)

set(cecclient_NAME cecclient)
set(cecclient_DESCRIPTION "libCEC test client")
set(cecclient_VERSION_MAJOR ${LIBCEC_VERSION_MAJOR})
set(cecclient_VERSION_MINOR ${LIBCEC_VERSION_MINOR})
set(cecclient_VERSION_PATCH ${LIBCEC_VERSION_PATCH})

enable_language(CXX)
include(CheckCXXSourceCompiles)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckCXXCompilerFlag)

check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
if (SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

find_package(platform REQUIRED)
find_package(Threads REQUIRED)

set(cecclient_SOURCES cec-client.cpp)

# curses
check_library_exists(curses initscr "" HAVE_CURSES_API)
if (HAVE_CURSES_API)
  list(APPEND cecclient_SOURCES curses/CursesControl.cpp)
endif()

add_executable(cec-client ${cecclient_SOURCES})
set_target_properties(cec-client PROPERTIES VERSION ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH})
target_link_libraries(cec-client ${platform_LIBRARIES})
target_link_libraries(cec-client ${CMAKE_THREAD_LIBS_INIT})

if (NOT WIN32)
  # check for dlopen
  check_library_exists(dl dlopen "" HAVE_DLOPEN)
  if (HAVE_DLOPEN)
    target_link_libraries(cec-client dl)
  endif()

  # curses
  if (HAVE_CURSES_API)
    target_link_libraries(cec-client curses)
  endif()

  # rt
  check_library_exists(rt clock_gettime "" HAVE_RT)
  if (HAVE_RT)
    target_link_libraries(cec-client rt)
  endif()

  # CoreVideo
  if (APPLE)
    target_link_libraries(cec-client "-framework CoreVideo")
  endif()
else()
  add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
  if (NOT ${WIN64})
    add_definitions(-D_USE_32BIT_TIME_T)
  endif()
endif()

include_directories(${platform_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/../../include)

# write env.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)

if (WIN32)
  install(TARGETS     cec-client
          DESTINATION .)
else()
  install(TARGETS     cec-client
          DESTINATION bin/.)
endif()

=== src/cecc-client/CMakeLists.txt ===
project(ceccclient)
cmake_minimum_required(VERSION 2.8.9)

set(ceccclient_NAME ceccclient)
set(ceccclient_DESCRIPTION "libCEC test client")
set(ceccclient_VERSION_MAJOR ${LIBCEC_VERSION_MAJOR})
set(ceccclient_VERSION_MINOR ${LIBCEC_VERSION_MINOR})
set(ceccclient_VERSION_PATCH ${LIBCEC_VERSION_PATCH})

enable_language(C)
include(CheckCSourceCompiles)
include(CheckLibraryExists)
include(CheckIncludeFiles)

find_package(platform REQUIRED)
find_package(Threads REQUIRED)

set(ceccclient_SOURCES cecc-client.c)

add_executable(cecc-client ${ceccclient_SOURCES})
set_target_properties(cecc-client PROPERTIES VERSION ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH})
target_link_libraries(cecc-client ${platform_LIBRARIES})
target_link_libraries(cecc-client ${CMAKE_THREAD_LIBS_INIT})

if (NOT WIN32)
  # check for dlopen
  check_library_exists(dl dlopen "" HAVE_DLOPEN)
  if (HAVE_DLOPEN)
    target_link_libraries(cecc-client dl)
  endif()

  # CoreVideo
  if (APPLE)
    target_link_libraries(cecc-client "-framework CoreVideo")
  endif()
else()
  add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
  if (NOT ${WIN64})
    add_definitions(-D_USE_32BIT_TIME_T)
  endif()
endif()

include_directories(${platform_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/../../include)

# write env.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)

if (WIN32)
  install(TARGETS     cecc-client
          DESTINATION .)
else()
  install(TARGETS     cecc-client
          DESTINATION bin/.)
endif()

=== src/libcec/CMakeLists.txt ===
project(cec)

cmake_minimum_required(VERSION 2.8.9)

set(cec_NAME cec)
set(cec_DESCRIPTION "libCEC")

enable_language(CXX)

include(CheckCXXSourceCompiles)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckCXXCompilerFlag)
include(../../cmake/UseMultiArch.cmake)

check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
if (SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

find_package(platform REQUIRED)
find_package(Threads REQUIRED)

include_directories(${platform_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/../../include)

set(CMAKE_POSITION_INDEPENDENT_CODE on)

# main libCEC files
set(CEC_SOURCES CECClient.cpp
                CECProcessor.cpp
                LibCEC.cpp
                LibCECC.cpp)

# /adapter
set(CEC_SOURCES_ADAPTER adapter/AdapterFactory.cpp)

# /adapter/Pulse-Eight
set(CEC_SOURCES_ADAPTER_P8 adapter/Pulse-Eight/USBCECAdapterMessage.cpp
                           adapter/Pulse-Eight/USBCECAdapterCommands.cpp
                           adapter/Pulse-Eight/USBCECAdapterCommunication.cpp
                           adapter/Pulse-Eight/USBCECAdapterMessageQueue.cpp
                           adapter/Pulse-Eight/USBCECAdapterDetection.cpp)

# /devices
set(CEC_SOURCES_DEVICES devices/CECAudioSystem.cpp
                        devices/CECBusDevice.cpp
                        devices/CECDeviceMap.cpp
                        devices/CECPlaybackDevice.cpp
                        devices/CECRecordingDevice.cpp
                        devices/CECTuner.cpp
                        devices/CECTV.cpp)

# /implementations
set(CEC_SOURCES_IMPLEMENTATIONS implementations/ANCommandHandler.cpp
                                implementations/CECCommandHandler.cpp
                                implementations/SLCommandHandler.cpp
                                implementations/VLCommandHandler.cpp
                                implementations/RLCommandHandler.cpp
                                implementations/PHCommandHandler.cpp
                                implementations/RHCommandHandler.cpp
                                implementations/AQCommandHandler.cpp)

# /platform/*
set(CEC_SOURCES_PLATFORM platform/adl/adl-edid.cpp
                         platform/nvidia/nv-edid.cpp)

# headers
set(CEC_EXT_HEADERS ${PROJECT_SOURCE_DIR}/../../include/cec.h
                    ${PROJECT_SOURCE_DIR}/../../include/cecc.h
                    ${PROJECT_SOURCE_DIR}/../../include/cecloader.h
                    ${PROJECT_SOURCE_DIR}/../../include/cectypes.h
                    ${PROJECT_SOURCE_DIR}/../../include/version.h)
source_group("Header Files (external)" FILES ${CEC_EXT_HEADERS})
set(CEC_HEADERS devices/CECRecordingDevice.h
                devices/CECTuner.h
                devices/CECAudioSystem.h
                devices/CECTV.h
                devices/CECBusDevice.h
                devices/CECDeviceMap.h
                devices/CECPlaybackDevice.h
                adapter/Exynos/ExynosCEC.h
                adapter/Exynos/ExynosCECAdapterDetection.h
                adapter/Exynos/ExynosCECAdapterCommunication.h
                adapter/Pulse-Eight/USBCECAdapterMessageQueue.h
                adapter/Pulse-Eight/USBCECAdapterCommunication.h
                adapter/Pulse-Eight/USBCECAdapterCommands.h
                adapter/Pulse-Eight/USBCECAdapterDetection.h
                adapter/Pulse-Eight/USBCECAdapterMessage.h
                adapter/TDA995x/TDA995xCECAdapterDetection.h
                adapter/TDA995x/AdapterMessageQueue.h
                adapter/TDA995x/TDA995xCECAdapterCommunication.h
                adapter/AdapterFactory.h
                adapter/AdapterCommunication.h
                adapter/RPi/RPiCECAdapterMessageQueue.h
                adapter/RPi/RPiCECAdapterCommunication.h
                adapter/RPi/RPiCECAdapterDetection.h
                CECInputBuffer.h
                platform/util/baudrate.h
                platform/util/edid.h
                platform/nvidia/nv-edid.h
                platform/adl/adl_structures.h
                platform/adl/adl_defines.h
                platform/adl/adl-edid.h
                platform/adl/adl_sdk.h
                platform/drm/drm-edid.cpp
                platform/sockets/serialport.h
                platform/X11/randr-edid.h
                CECClient.h
                LibCEC.h
                CECTypeUtils.h
                implementations/SLCommandHandler.h
                implementations/CECCommandHandler.h
                implementations/VLCommandHandler.h
                implementations/RLCommandHandler.h
                implementations/ANCommandHandler.h
                implementations/RHCommandHandler.h
                implementations/PHCommandHandler.h
                implementations/AQCommandHandler.h
                CECProcessor.h)
source_group("Header Files" FILES ${CEC_HEADERS})

# platform and device specific
include(cmake/SetBuildInfo.cmake)
include(cmake/CheckPlatformSupport.cmake)

## create project groups
source_group("Source Files" FILES ${CEC_SOURCES})
source_group("Source Files\\adapter" FILES ${CEC_SOURCES_ADAPTER})
source_group("Source Files\\adapter\\Pulse-Eight" FILES ${CEC_SOURCES_ADAPTER_P8})
source_group("Source Files\\devices" FILES ${CEC_SOURCES_DEVICES})
source_group("Source Files\\implementations" FILES ${CEC_SOURCES_IMPLEMENTATIONS})
source_group("Source Files\\platform" FILES ${CEC_SOURCES_PLATFORM})

list(APPEND CEC_SOURCES ${CEC_HEADERS}
                        ${CEC_EXT_HEADERS}
                        ${CEC_SOURCES_ADAPTER}
                        ${CEC_SOURCES_ADAPTER_P8}
                        ${CEC_SOURCES_DEVICES}
                        ${CEC_SOURCES_IMPLEMENTATIONS}
                        ${CEC_SOURCES_PLATFORM})

# write env.h
set(LIBCEC_LIBREQUIRES "platform ${PLATFORM_LIBREQUIRES}")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)
if (WIN32)
  # write libcec.rc
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc)
  add_definitions(-DDLL_EXPORT)
else()
  # write pkgconfig
  include(../../cmake/PkgConfigHandler.cmake)
  configure_pc_file(cec ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc.in
                        ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc
                        ${CMAKE_INSTALL_PREFIX}
                        ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
                        ${CMAKE_INSTALL_PREFIX}/include)

  install(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc
          DESTINATION   ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
endif()

# install headers
install(FILES ${PROJECT_SOURCE_DIR}/../../include/cec.h
              ${PROJECT_SOURCE_DIR}/../../include/cecc.h
              ${PROJECT_SOURCE_DIR}/../../include/cecloader.h
              ${PROJECT_SOURCE_DIR}/../../include/cectypes.h
              ${PROJECT_SOURCE_DIR}/../../include/version.h
        DESTINATION include/libcec)

# libCEC target
add_library(cec SHARED ${CEC_SOURCES})
install(TARGETS cec
        DESTINATION ${LIB_DESTINATION})
set_target_properties(cec PROPERTIES VERSION   ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH}
                                     SOVERSION ${LIBCEC_VERSION_MAJOR}.0)
target_link_libraries(cec ${platform_LIBRARIES})
target_link_libraries(cec ${CMAKE_THREAD_LIBS_INIT})

include(cmake/LinkPlatformSupport.cmake)
include(cmake/DisplayPlatformSupport.cmake)

=== src/pyCecClient/CMakeLists.txt ===
project(pyCecClient)
cmake_minimum_required(VERSION 2.8.9)

# Python
include(FindPythonLibs)
find_package(PythonLibs)

if (PYTHONLIBS_FOUND)
  if (WIN32)
    install(FILES pyCecClient.py
            DESTINATION python/.)
  else()
    install(FILES pyCecClient.py
            DESTINATION bin/.)
  endif()
endif()

## libcec 1.3.2

=== debian/changelog ===
libcec (1.3.2-4) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 18:05:54 -0400

libcec (1.3.2-3) unstable; urgency=low

  * Make dpkg-source options default for packaging.

 -- Andres Mejia <amejia@debian.org>  Tue, 10 Jan 2012 18:12:57 -0500

libcec (1.3.2-2) unstable; urgency=low

  * Add options to pass to dpkg-source.

 -- Andres Mejia <amejia@debian.org>  Sun, 08 Jan 2012 22:59:34 -0500

libcec (1.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #655143)

 -- Andres Mejia <amejia@debian.org>  Sun, 08 Jan 2012 15:36:49 -0500

=== debian/control ===
Source: libcec
Section: libs
Priority: optional
Maintainer: Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 libudev-dev
Standards-Version: 3.9.3
Homepage: http://libcec.pulse-eight.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/libcec.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcec.git

Package: libcec-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: libcec1 (= ${binary:Version}),
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (development files)
 This library provides support for the Pulse-Eight USB-CEC adapter.
 .
 This package provides the necessary files needed for development.

Package: libcec1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: USB CEC Adaptor communication Library (shared library)
 This library provides support for the Pulse-Eight USB-CEC adapter.
 .
 This package provides the shared library.

Package: cec-utils
Architecture: any
Section: utils
Depends: libcec1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (utility programs)
 This library provides support for the Pulse-Eight USB-CEC adapter.
 .
 This package provides the CEC utility programs.

## libcec 1.6.1

=== debian/changelog ===
libcec (1.6.1-2) unstable; urgency=low

  * Build depends on pkg-config. (Closes: #669919)
  * libudev-dev only optionally needed for Linux.

 -- Andres Mejia <amejia@debian.org>  Sat, 21 Apr 2012 19:03:19 -0400

libcec (1.6.1-1) unstable; urgency=low

  [ Mario Limonciello ]
  * New upstream version (LP: #982272)

  [ Andres Mejia ]
  * New release fixes build failure with GCC-4.7. (Closes: #667241)
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Sat, 21 Apr 2012 00:02:08 -0400

## libcec 1.6.2

=== debian/changelog ===
libcec (1.6.2-1.1build1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:07:43 +0000

libcec (1.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/695702.patch: Backport patch from upstream to load
    libcec.so.1 instead of libcec.so. Thanks to Andrey Rahmatullin for
    finding the patch in the upstream repository. (Closes: #695702)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Dec 2012 20:47:14 +0100

libcec (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Andres Mejia <amejia@debian.org>  Wed, 02 May 2012 22:35:02 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Andres Mejia <amejia@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
- libudev-dev
+ pkg-config,
+ libudev-dev [linux-any]
 Standards-Version: 3.9.3
 Homepage: http://libcec.pulse-eight.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libcec.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcec.git
 
 Package: libcec-dev
-Multi-Arch: same
 Architecture: any
 Section: libdevel
 Depends: libcec1 (= ${binary:Version}),

## libcec 2.1.4

=== debian/changelog ===
libcec (2.1.4-2) unstable; urgency=low

  [ Balint Reczey ]
  * Add myself to uploaders
  * Set Sjoerd as maintainer
  * Remove Andres Mejia as maintainer since he is tracked as MIA
    Thanks to Andres for creating and taking care of the package.
    (Closes: #743513)
  * Provide symbols file (Closes: #737769)
  * Bump standards version

  [ Roger Leigh ]
  * Stop using lockdev (Closes: #728023)

  [ Logan Rosen ]
  * Use dh-autoreconf to fix FTBFS on ppc64e (Closes: #735217)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Aug 2014 18:55:00 +0200

libcec (2.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #730510)
  * Add myself to uploaders

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 01 Jan 2014 19:02:43 +0100

libcec (2.0.3-1) experimental; urgency=low

  * New upstream release. (Closes: #685058)
  * Change library package to libcec2 for soname bump.
  * Add new build-dependency liblockdev-dev.
  * Add new manpage for cec-config utility program.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Nov 2012 12:27:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: libcec
 Section: libs
 Priority: optional
-Maintainer: Andres Mejia <amejia@debian.org>
+Maintainer:Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Balint Reczey <balint@balintreczey.hu>
 Build-Depends: debhelper (>= 8.1.3~),
  pkg-config,
+ dh-autoreconf,
  libudev-dev [linux-any]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://libcec.pulse-eight.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libcec.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcec.git
@@ -13,14 +15,14 @@
 Package: libcec-dev
 Architecture: any
 Section: libdevel
-Depends: libcec1 (= ${binary:Version}),
+Depends: libcec2 (= ${binary:Version}),
          ${misc:Depends}
 Description: USB CEC Adaptor communication Library (development files)
  This library provides support for the Pulse-Eight USB-CEC adapter.
  .
  This package provides the necessary files needed for development.
 
-Package: libcec1
+Package: libcec2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -33,7 +35,7 @@
 Package: cec-utils
 Architecture: any
 Section: utils
-Depends: libcec1 (= ${binary:Version}),
+Depends: libcec2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: USB CEC Adaptor communication Library (utility programs)

## libcec 2.2.0-2~utopic

=== debian/changelog ===
libcec (2.2.0-2~utopic) utopic; urgency=low

  * Build for Ubuntu 'utopic'

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 31 Oct 2014 10:14:13 +0100

libcec (2.2.0-1) unstable; urgency=low

  * changed / added:
    * read the physical address from X11 randr extension. credits: @smithereens
    * support for Exynos HDMI. credits: @vamanea
    * another vendor ID for Harman/Kardon. credits: @ksooo
    * some 1.4 keycodes have been added. credits: @ksooo
    * cec-client: fix typo prevent keycodes to be passed. credits: @popcornmix

  * fixed:
    * various Raspberry Pi fixes. credits: @mk01
    * vendor specific handlers weren't used for Toshiba and Onkyo.
      credits: @ksooo
    * LibCecTray: keypress not sent when multiple instances of eshell.exe are
      running. thanks @pvanbaren
    * deadlock on exit in XBMC, because of CEC_ALERT_CONNECTION_LOST

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 28 Oct 2014 10:45:00 +0200

libcec (2.1.3-1) unstable; urgency=low

  * changed / added:
    * ask users to send an email when receiving an unhandled vendor command
    * toshiba: map top menu and dvd menu buttons. closes #148
    * LibCecSharp: sync alert types
    * LibCecSharp: added CurrentVersion to the version enum
    * CecSharpClient: use CurrentVersion instead of a hardcoded version
    * CecTray: power management
    * CecTray: split up asyncform
    * CecTray: try/catch xml exceptions when reading the xml config. bugzid:
      2082
    * CecTray: use CurrentVersion instead of a hardcoded version
    * CecTray: display a warning if we can't poll the TV
    * CecTray: display alerts from libCEC
    * CecTray: don't use lazy loading for the main controller, but pass the
      instance. bugzid: 2082
    * windows: converted to vs2012
  * fixed:
    * toshiba: toshiba handler wasn't initialised, and toshiba uses more than
      one vendor id
    * libCEC marked itself as inactive source when the stream path changed to
      a device with a different physical address. bugzid: 2157
    * TDA995x: report proper firmware revision (credits: @warped-rudi)
    * TDA995x: avoid callback when already stopped (credits: @warped-rudi)
    * windows: fix resource files and backwards compat dll names

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Sat, 11 May 2013 10:06:00 +0000

libcec (2.1.1-1) unstable; urgency=low

  * changed / added:
    * send an alert when the TV does not respond to polls
  * fixed:
    * LG didn't switch sources after the TV powered up
    * always poll a device when the status is unknown, and don't try to
      determine whether it needs to be polled by checking the status of other
      devices
    * don't mark a device as inactive when receiving a routing change message,
      only when another device was made acive. fixes the issue that rc
      passthrough doesn't work when a tv sends a quick routing change to
      another port before requesting the active source when coming out of
      standby
    * LibCecSharp: fixed 14 char long OSD name (wasn't \0 terminated)
    * LibCecSharp: fixed return value of GetActiveDevices(). issue #131
    * cec-tray: fixed index out of range exception in CECSettingNumeric.cs.
      bugzid: 2082
    * cec-tray: ensure that the tray app only initialises once. bugzid: 2082
    * rpi: don't set the physical address to 1.0.0.0 when receiving
      VC_HDMI_UNPLUGGED. it may wake up device when they were just sent to
      standby. issue #142
    * osx: use the correct dylib name in cecloader.h, used by cec-client

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 8 Mar 2013 17:21:00 +0100
 
 libcec (2.1.0-1) unstable; urgency=low

  * changed / added:
    * added vendor id for Denon
    * added DetectAdapters() method, that returns all device information for
      detected adapters, not just the com port
    * added new method PowerOnScreensaver. credits: @jmarcet
    * LibCECTray: Added ability to send modifiers by nesting commands in
      KeyInput.cs. credits: Nate Burr
    * rpi: Added /opt/vc/include/interface/vmcs_host/linux to rpi_cflags to fix
      building on 'next' firmware branch. credits: Nedim Lisica
  * fixed:
    * don't send two active source message sequences to philips. issue #118
    * don't send deck status updates to philips when activating the source
    * update the active source status correctly after a manual switch to
      another source. closes #124
    * rename cec_audio_status() to cec_audio_get_status() to avoid conflict
      with the cec_audio_status enum.  This makes the C API compile again.
      credits: Dave Chapman
    * LibCECTray: Fixed bug with libcec adding the keyup for button commands
      and making sure they are still executed. credits: Nate Burr
    * rpi: register callback for HPD. re-read the physical address when we
      received VC_HDMI_ATTACHED. issue #109

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 26 Feb 2013 23:06:00 +0100

libcec (2.0.5-1) unstable; urgency=low

  * changed:
    * also try polls at least twice when it failed
    * added methods to get the audiostatus and toggle the mute status from the
      amplifier (if connected)
    * added comboKey and iComboKeyTimeoutMs to libcec_configuration
    * force cec_user_control_code_unknown to 0xFF
  * fixed:
    * check unsupported features properly
    * only send an active source message when the stream path changed and we
      weren't the active source yet
    * don't mark as inactive source on routing changes
    * press & hold
    * never mark user control opcodes as unsupported
    * report our OSD name to the TV, since some TVs don't request it
    * initial audiostatus value
    * don't log a no longer relevant FIXME

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 6 Dec 2012 20:58:00 +0100

libcec (2.0.4-1) unstable; urgency=low

  * changed:
    * dropped obsolete cec-config


## libcec 3.0.1%2Bdfsg2

=== debian/changelog ===
libcec (3.0.1+dfsg2-9build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:40 +0000

libcec (3.0.1+dfsg2-9) unstable; urgency=medium

  * Cherry-pick patch from upstream for locking with flock()

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Nov 2015 08:57:33 +0100

libcec (3.0.1+dfsg2-8) unstable; urgency=medium

  * Handle transition from libcec3v4 to libcec3

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 07 Oct 2015 20:06:06 +0200

libcec (3.0.1+dfsg2-7) unstable; urgency=medium

  * Stop using lockdev again (Closes: #728023)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 28 Sep 2015 10:49:52 +0200

libcec (3.0.1+dfsg2-6) unstable; urgency=medium

  * Fix SOVERSION handling in CEC clients (Closes: #798472)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Sep 2015 21:42:38 +0200

libcec (3.0.1+dfsg2-5) unstable; urgency=medium

  * Fix crash on systems lacking /sys/class/drm (Closes: #798190)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 06 Sep 2015 19:11:37 +0200

libcec (3.0.1+dfsg2-4) unstable; urgency=medium

  * Update symbols based on armel build failure

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 16 Aug 2015 21:06:33 +0200

libcec (3.0.1+dfsg2-3) experimental; urgency=medium

  * Add versioned build dependencies for the GCC 5 transition (Closes: #791103)
  * Update symbols file with the GCC 5 transition changes
  * Make build more deterministic
  * Fix libdir in pkgconfig file

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Aug 2015 00:07:02 +0200

libcec (3.0.1+dfsg2-2) experimental; urgency=medium

  * Update symbols file based on powerpc build

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 01 Aug 2015 13:38:00 +0200

libcec (3.0.1+dfsg2-1) experimental; urgency=medium

  * New Upstream version 3.0.1
  * Merge upstream packaging changes
  * Drop patches integrated upstream
  * Add libcec-platform-dev as build dependency
  * Use cec-platform
  * Call cmake from debian/rules more conventionally
  * Fix pkgconfig file install location
  * Stop shipping libcec.a
  * Fix missing space in debian/control
  * Add misc:Depends to python-libcec dependencies
  * Update debian/copyright with changed and excluded files
  * Build depend on Debhelper 9
  * Drop libcec meta package
  * Fix library SONAME version
  * Update symbols file
  * Install CLI utilities in cec-utils and Python scripts in python-libcec
  * Add shlibs:Depends and python:Depends to python-libcec dependencies
  * Build depend on dh-python
  * Extend extended description a bit
  * Call debhelper with python2 in debian/rules
  * Install Python client script as an example
  * Add repack suffix to debian/watch
  * Drop prebuilt windows binary from source
  * Drop obsoleted Lintian override

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 07 Jul 2015 16:17:34 -0700

libcec (2.2.0+dfsg1-3) unstable; urgency=medium

  * Upload to unstable
  * Update symbols file for GCC 5 (Closes: #777940)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 26 Apr 2015 20:57:42 +0200

libcec (2.2.0+dfsg1-2) experimental; urgency=medium

  * Provide both C & C++ versions of cec_set_configuration()
    to match upstream's latest ABI

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 22:57:17 +0100

libcec (2.2.0+dfsg1-1) experimental; urgency=medium

  * Add working watch file
  * Update libcec-get-orig-source for 2.2.0.
    Add +dfsg1 suffix to repacked version
    Compress tarball using xz
  * New upstream version 2.2.0
  * Fix ABI breakage due to changed cec_set_configuration()
  * Update symbols file with new ABI symbols
  * Mangle local version in watch file
  * Bump standards version, no changes needed

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 18:20:25 +0100

## libcec 3.0.1+dfsg2

=== debian/control ===
Source: libcec
Section: libs
Priority: optional
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9),
 g++ (>= 4:5.2),
 pkg-config,
 libudev-dev [linux-any],
 libcec-platform-dev (>= 1.0.10+dfsg1-5),
 python-dev,
 dh-python,
 cmake (>= 2.8.9),
 swig,
 libxrandr-dev,
 x11proto-core-dev,
 libncurses5-dev
Standards-Version: 3.9.6
Homepage: http://libcec.pulse-eight.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/libcec.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcec.git

Package: libcec-dev
Architecture: any
Section: libdevel
Depends: libcec3 (= ${binary:Version}),
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (development files)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the necessary files needed for development.

Package: libcec3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcec3v4
Replaces: libcec3v4
Description: USB CEC Adaptor communication Library (shared library)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the shared library.

Package: cec-utils
Architecture: any
Section: utils
Depends: libcec3 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (utility programs)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the CEC utility programs.

Package: python-libcec
Architecture: any
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: libcec3 (= ${binary:Version}), ${misc:Depends},
         ${shlibs:Depends}, ${python:Depends}
Description: Python bindings for USB CEC Adaptor
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides Python bindings for libcec.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh  $@ --with python2

override_dh_auto_configure:
	ln -s /usr/include/cec-platform include/platform && \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	rm debian/tmp/usr/bin/cec-client
	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
https://github.com/Pulse-Eight/libcec/tags .*/libcec-(\d[\d\.]+)\.tar\.gz

## libcec 3.1.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 cmake_minimum_required(VERSION 2.8.9)
 
 set(LIBCEC_VERSION_MAJOR 3)
-set(LIBCEC_VERSION_MINOR 0)
-set(LIBCEC_VERSION_PATCH 1)
+set(LIBCEC_VERSION_MINOR 1)
+set(LIBCEC_VERSION_PATCH 0)
 
 # cec-client
 add_subdirectory(src/cec-client)

=== src/libcec/CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,14 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 endif()
 
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
+if (p8-platform_VERSION VERSION_LESS 2.0)
+  message(FATAL_ERROR "p8-platform 2.0+ is required")
+endif()
+
 find_package(Threads REQUIRED)
 
-include_directories(${platform_INCLUDE_DIRS}
+include_directories(${p8-platform_INCLUDE_DIRS}
                     ${PROJECT_SOURCE_DIR}
                     ${PROJECT_SOURCE_DIR}/../../include)
 
@@ -104,7 +108,6 @@
                 platform/adl/adl_defines.h
                 platform/adl/adl-edid.h
                 platform/adl/adl_sdk.h
-                platform/drm/drm-edid.cpp
                 platform/sockets/serialport.h
                 platform/X11/randr-edid.h
                 CECClient.h
@@ -142,7 +145,7 @@
                         ${CEC_SOURCES_PLATFORM})
 
 # write env.h
-set(LIBCEC_LIBREQUIRES "platform ${PLATFORM_LIBREQUIRES}")
+set(LIBCEC_LIBREQUIRES "p8-platform ${PLATFORM_LIBREQUIRES}")
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)
 if (WIN32)
   # write libcec.rc
@@ -174,8 +177,8 @@
 install(TARGETS cec
         DESTINATION ${LIB_DESTINATION})
 set_target_properties(cec PROPERTIES VERSION   ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH}
-                                     SOVERSION ${LIBCEC_VERSION_MAJOR}.0)
-target_link_libraries(cec ${platform_LIBRARIES})
+                                     SOVERSION ${LIBCEC_VERSION_MAJOR})
+target_link_libraries(cec ${p8-platform_LIBRARIES})
 target_link_libraries(cec ${CMAKE_THREAD_LIBS_INIT})
 
 include(cmake/LinkPlatformSupport.cmake)

=== debian/changelog ===
libcec (3.1.0+dfsg1-4~bpo8+2) jessie-backports; urgency=medium

  * Fix FTBFS on armel due to missing symbol

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 22 Apr 2016 09:15:23 +0200

libcec (3.1.0+dfsg1-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Build libcec with pre-libcxx11 (libcxx98) ABI
  * Update .symbols file

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 21 Apr 2016 10:56:50 +0200

libcec (3.1.0+dfsg1-4) unstable; urgency=medium

  * Fall back to use libudev.pc when udev.pc is not usable (Closes: #817051)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Mar 2016 20:24:16 +0100

libcec (3.1.0+dfsg1-3) unstable; urgency=medium

  * Update symbols file for GCC 6 (Closes: #811979)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 06 Mar 2016 19:53:31 +0100

libcec (3.1.0+dfsg1-2) unstable; urgency=medium

  * Use arch-bits for tagging symbols
  * Reformat d/control using cme
  * Bump standards version to 3.9.7

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 25 Feb 2016 09:34:25 +0100

libcec (3.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Refresh patches including dropping patches integrated upstream
  * Use (cec-)platform libraries under the new p8-platform name
  * Update symbols file using pkgkde-symbolshelper (Closes: #811979)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 24 Feb 2016 11:11:33 +0100

=== debian/control ===
Source: libcec
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               pkg-config,
               libudev-dev [linux-any],
               libp8-platform-dev,
               python-dev,
               dh-python,
               cmake (>= 2.8.9),
               swig,
               libxrandr-dev,
               x11proto-core-dev,
               libncurses5-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libcec.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libcec.git
Homepage: http://libcec.pulse-eight.com/

Package: libcec-dev
Architecture: any
Section: libdevel
Depends: libcec3v4 (= ${binary:Version}),
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (development files)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the necessary files needed for development.

Package: libcec3v4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libcec3v4
Replaces: libcec3v4
Description: USB CEC Adaptor communication Library (shared library)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the shared library.

Package: cec-utils
Architecture: any
Section: utils
Depends: libcec3v4 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (utility programs)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the CEC utility programs.

Package: python-libcec
Architecture: any
Section: python
Depends: libcec3v4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Python bindings for USB CEC Adaptor
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides Python bindings for libcec.

## libcec 4.0.1+dfsg1

=== debian/changelog ===
libcec (4.0.1+dfsg1-1) unstable; urgency=medium

  * Update symbols file
  * Imported Upstream version 4.0.1+dfsg1
  * Add symbols re-exported from libp8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 18 Jan 2017 09:16:30 +0100

libcec (4.0.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 4.0.0+dfsg1
  * Refresh patches
  * Bump SO version in packaging scripts
  * Remove files from debian/copyright which are removed from upstream
    tarball
  * Use secure URI in Vcs-Git
  * Bump standards version
  * Update symbols file for amd64 and i386
  * Enable all hardening features

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Dec 2016 20:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               g++ (>= 4:5.2),
                pkg-config,
                libudev-dev [linux-any],
                libp8-platform-dev,
@@ -14,15 +15,15 @@
                libxrandr-dev,
                x11proto-core-dev,
                libncurses5-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libcec.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/libcec.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libcec.git
 Homepage: http://libcec.pulse-eight.com/
 
 Package: libcec-dev
 Architecture: any
 Section: libdevel
-Depends: libcec3v4 (= ${binary:Version}),
+Depends: libcec4 (= ${binary:Version}),
          ${misc:Depends}
 Description: USB CEC Adaptor communication Library (development files)
  This library provides support for the Pulse-Eight USB-CEC adapter and
@@ -30,14 +31,14 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libcec3v4
+Package: libcec4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libcec3v4
-Replaces: libcec3v4
+Breaks: libcec4v4
+Replaces: libcec4v4
 Description: USB CEC Adaptor communication Library (shared library)
  This library provides support for the Pulse-Eight USB-CEC adapter and
  other CEC capable hardware, like the Raspberry Pi.
@@ -47,7 +48,7 @@
 Package: cec-utils
 Architecture: any
 Section: utils
-Depends: libcec3v4 (= ${binary:Version}),
+Depends: libcec4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: USB CEC Adaptor communication Library (utility programs)
@@ -59,7 +60,7 @@
 Package: python-libcec
 Architecture: any
 Section: python
-Depends: libcec3v4 (= ${binary:Version}),
+Depends: libcec4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## libcec 4.0.2%2Bdfsg1

=== src/cecc-client/CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,14 @@
 include(CheckLibraryExists)
 include(CheckIncludeFiles)
 
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(Threads REQUIRED)
 
 set(ceccclient_SOURCES cecc-client.c)
 
 add_executable(cecc-client ${ceccclient_SOURCES})
 set_target_properties(cecc-client PROPERTIES VERSION ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH})
-target_link_libraries(cecc-client ${platform_LIBRARIES})
+target_link_libraries(cecc-client ${p8-platform_LIBRARIES})
 target_link_libraries(cecc-client ${CMAKE_THREAD_LIBS_INIT})
 
 if (NOT WIN32)
@@ -40,7 +40,7 @@
   endif()
 endif()
 
-include_directories(${platform_INCLUDE_DIRS}
+include_directories(${p8-platform_INCLUDE_DIRS}
                     ${PROJECT_SOURCE_DIR}
                     ${PROJECT_SOURCE_DIR}/../../include)

=== debian/changelog ===
libcec (4.0.2+dfsg1-2ubuntu1) bionic; urgency=medium

  * debian/python-libcec.install: python build systems now correctly install
    the modules to dist-packages, so don't try to move the module in the
    dh_install phase.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Mar 2018 13:48:02 -0700

libcec (4.0.2+dfsg1-2) unstable; urgency=medium

  [ Debian's Automated Developer ]
  * Update symbols file(s)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Dec 2017 22:52:01 +0100

libcec (4.0.2+dfsg1-1) experimental; urgency=medium

  * Always repack original source with xz compression
  * New upstream version 4.0.2+dfsg1
  * Build-depend on g++ (>= 4:7)
  * Refresh patches
  * Remove workaround to put pkg-config file to the right place
  * Update symbols file with new symbols from 4.0.2
  * Update symbols file with symbol changes due to GCC 7 transition
    (Closes: #853485)
  * Use my @ubuntu.com email address in Uploader field
  * Keep installing Python modules to dist-packages despite upstream
    changes which install them to site-packages

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Sep 2017 23:36:22 +0200

## libcec 4.0.2+dfsg1

=== CMakeLists.txt ===
project(libcec)
cmake_minimum_required(VERSION 2.8.9)

set(LIBCEC_VERSION_MAJOR 4)
set(LIBCEC_VERSION_MINOR 0)
set(LIBCEC_VERSION_PATCH 2)

# cec-client
add_subdirectory(src/cec-client)
add_dependencies(cec-client cec)

# cecc-client
add_subdirectory(src/cecc-client)
add_dependencies(cecc-client cec)

# pyCecClient
add_subdirectory(src/pyCecClient)

# libCEC
add_subdirectory(src/libcec)

# version number
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/version.h.in
               ${CMAKE_CURRENT_SOURCE_DIR}/include/version.h)

# resource files for windows
if(WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/project/LibCecSharp/LibCecSharp.rc.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/project/LibCecSharp/LibCecSharp.rc)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecSharp/AssemblyInfo.cpp.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecSharp/AssemblyInfo.cpp)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/project/libCEC-version.nsh.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/project/libCEC-version.nsh)
endif()

=== src/cec-client/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 endif()
 
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(Threads REQUIRED)
 
 set(cecclient_SOURCES cec-client.cpp)
@@ -31,7 +31,7 @@
 
 add_executable(cec-client ${cecclient_SOURCES})
 set_target_properties(cec-client PROPERTIES VERSION ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH})
-target_link_libraries(cec-client ${platform_LIBRARIES})
+target_link_libraries(cec-client ${p8-platform_LIBRARIES})
 target_link_libraries(cec-client ${CMAKE_THREAD_LIBS_INIT})
 
 if (NOT WIN32)
@@ -63,7 +63,7 @@
   endif()
 endif()
 
-include_directories(${platform_INCLUDE_DIRS}
+include_directories(${p8-platform_INCLUDE_DIRS}
                     ${PROJECT_SOURCE_DIR}
                     ${PROJECT_SOURCE_DIR}/../../include)

=== src/libcec/CMakeLists.txt ===
--- 
+++ 
@@ -68,7 +68,8 @@
 
 # /platform/*
 set(CEC_SOURCES_PLATFORM platform/adl/adl-edid.cpp
-                         platform/nvidia/nv-edid.cpp)
+                         platform/nvidia/nv-edid.cpp
+                         platform/drm/drm-edid.cpp)
 
 # headers
 set(CEC_EXT_HEADERS ${PROJECT_SOURCE_DIR}/../../include/cec.h
@@ -87,6 +88,9 @@
                 adapter/Exynos/ExynosCEC.h
                 adapter/Exynos/ExynosCECAdapterDetection.h
                 adapter/Exynos/ExynosCECAdapterCommunication.h
+                adapter/AOCEC/AOCEC.h
+                adapter/AOCEC/AOCECAdapterDetection.h
+                adapter/AOCEC/AOCECAdapterCommunication.h
                 adapter/Pulse-Eight/USBCECAdapterMessageQueue.h
                 adapter/Pulse-Eight/USBCECAdapterCommunication.h
                 adapter/Pulse-Eight/USBCECAdapterCommands.h
@@ -161,7 +165,7 @@
                         ${CMAKE_INSTALL_PREFIX}/include)
 
   install(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc
-          DESTINATION   ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
+          DESTINATION   ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 endif()
 
 # install headers

=== debian/changelog ===
libcec (4.0.2+dfsg1-2ubuntu1.1) bionic-proposed; urgency=medium

  * SRU: LP: #1815080.
  * Add more template symbols to the symbols file (generated by GCC 7.4),
    and mark them as optional.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 17:35:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libcec
-Maintainer: Sjoerd Simons <sjoerd@debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               g++ (>= 4:5.2),
+               g++ (>= 4:7),
                pkg-config,
                libudev-dev [linux-any],
                libp8-platform-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,5 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	rm debian/tmp/usr/bin/cec-client
 	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client
